List channels
curl --request GET \
--url https://{companyName}.api.joinluminous.com/external/api/v1/channels \
--header 'Authorization: Bearer <token>'import requests
url = "https://{companyName}.api.joinluminous.com/external/api/v1/channels"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{companyName}.api.joinluminous.com/external/api/v1/channels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 123,
"uuid": "<string>",
"label": "<string>",
"description": "<string>",
"apiLocked": true,
"warehouseGroupId": 123,
"warehouseGroup": {},
"storeType": "<string>",
"enabled": true,
"status": 123,
"isPOSChannel": true,
"isCustomerSpecific": true,
"pullOrdersFromOms": true,
"getProductsEnabled": true,
"pushInventoryEnabled": true,
"includeIncomingStocksEnabled": true,
"pullStocksEnabled": true,
"pullShipmentsEnabled": true,
"pushIncomingStocksFromSupplierPurchaseOrderEnabled": true,
"pushStocksAppIntegrationAccountId": 123,
"channelIntegrationMapping": [
{}
],
"pullOrderIntegrationMapping": {},
"pushOrderIntegrationMapping": {},
"pushStockIntegrationMapping": {},
"pushCostIntegrationMapping": {},
"tags": [
{}
],
"metafields": [
{}
],
"isDropship": true,
"dropshipSupplierId": 123,
"dropshipPoDeliveryType": "<string>",
"dropshipPoDeliveryWarehouseId": 123,
"dropshipAutoCreatePo": true,
"dropshipAutoSendPo": true,
"dropshipInventoryNotTracked": true,
"autoPushOrderAfterMinutes": 123,
"autoPushMode": "<string>",
"filters": {},
"restrictions": {},
"credentials": {},
"fees": {},
"createdAt": 123,
"updatedAt": 123,
"createdBy": 123,
"updatedBy": 123
}
],
"meta": {},
"links": {}
}{
"message": "<string>"
}Channels
List channels
Paginated list of non-deleted channels with optional filters. Always allowed — apiLocked does not block
reads.
GET
/
channels
List channels
Authorizations
Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100Available options:
asc, desc Substring match on channel label.
Channels that have at least one of the listed tag IDs.
When true, filters to channels that have a push-order integration mapping.
Comma-separated list of channel types (e.g. sales_channel,end_to_end_channel).
⌘I